<?php
	header('Content-type: text/html; charset=utf-8');
	require_once("./vargus_functions.php");

        if (isset($_GET['begin'])) {
                $begin = $_GET['begin'];
        } else {
                $begin = 0;
        }
	
        if (isset($_GET['end'])) {
                $end = $_GET['end'];
        } else {
                $end = 0;
        }
	
        if (isset($_GET['cam'])) {
                $object = $_GET['cam'];
        } else {
                $object = 0;
        }
	


	if ( ! $begin && $end && $object ) {
		die("alerts_list: Specify begin, end and camera parameters");
	}


	$alerts = array();
	$alert = array();

	error_log("vargus-get-archive --query-alerts -o $object -s $begin -e $end");
	$alerts = explode("\n", `vargus-get-archive --query-alerts -o $object -s $begin -e $end`);
	if (! $alerts[0]) { 
		$alerts_content = "<br><p style='padding: 10px; margin: 20px; text-align: center;' class='ui-state-error'>" .
			"За заданный период<br>тревог для камеры $object не найдено</p>";
		echo "alerts_content=\"$alerts_content\";";
		exit;
	}

	error_log(count($alerts) . " " . $alerts[0]);
	$all_alerts = "alerts_text = [];";
	$alerts_content = "<table id='alerts_list' cellpadding=5 cellspacing=0>" . 
		"<thead class='ui-corner-all ui-widget-header'>" . 
		"<tr><th>ID</th><th>Дата/время</th>" . 
		"<th>Текст тревоги</th></tr></thead><tbody>";
	for ($i = 1; $i < count($alerts); $i++ ) {
		list(
			$alert[$i]["id"],
			$alert[$i]["date_time"],
			$alert[$i]["message"]
		) = explode(';', $alerts[$i - 1]);
		$alert_text = htmlentities(mb_substr($alert[$i]['message'], 0, 40, 'UTF-8'), ENT_QUOTES, 'UTF-8');
		$alerts_content .= "<tr id='alert_" . $alert[$i]["id"] . "' class='alert_row ui-widget-content'>" .
			"<td align=right>" . $alert[$i]["id"] .	"&nbsp;&nbsp;</td><td>" . 
			date('d.m.Y H:i:s', $alert[$i]["date_time"]) . "&nbsp;&nbsp;&nbsp;&nbsp;</td><td>" . 
			$alert_text . "</td></tr>";
		$a_id = $alert[$i]["id"];
		$a_txt = htmlentities($alert[$i]['message'], ENT_QUOTES, 'UTF-8');
		$all_alerts .= "alerts_text[$a_id]=\"$a_txt\";";
	}
	$alerts_content .= "</tbody></table>";
	echo "alerts_content=\"$alerts_content\";$all_alerts";	
?>
