<?php
	header('Content-type: text/html; charset=utf-8');
	header("Cache-Control: no-cache");
	header("Pragma: no-cache");

	require_once("./vargus_functions.php");

        if (isset($_GET['begin'])) {
                $begin = $_GET['begin'];
        } else {
                $begin = 0;
        }
	
        if (isset($_GET['end'])) {
                $end = $_GET['end'];
        } else {
                $end = 0;
        }
	
        if (isset($_GET['cam'])) {
                $object = $_GET['cam'];
        } else {
                $object = 0;
        }
	
        if (isset($_GET['cheque'])) {
                $cheque_no = $_GET['cheque'];
        } else {
                $cheque_no = 0;
        }
	

	if ( ! (($begin && $end) || $cheque_no) && $object ) {
		die("showError('cheques_list: Specify begin, end and camera parameters');");
	}


	$cheques = array();
	$cheque = array();

	if ($cheque_no) {
		$query = "--cheque $cheque_no";
	} else {
		$query = "-s $begin -e $end";
	}

	$cheques = explode("\n", `vargus-get-archive --query-cheques -o $object $query`);
	if (! $cheques[0]) { 
		if ($cheque_no) {
			$cheques_content = "Чеков с таким номером<br>для камеры $object не найдено";
		} else {
			$cheques_content = "За заданный период<br>чеков для камеры $object не найдено";
		}
		echo "showError('$cheques_content');";
		exit;
	}

	$cheques_content = "";
	for ($i = 1; $i < count($cheques); $i++ ) {
		list(
			$cheque[$i]["id"],
			$cheque[$i]["no"],
			$cheque[$i]["date_time"],
			$cheque[$i]["summa"]
		) = explode(';', $cheques[$i - 1]);
		$cheques_content .= "<tr id='cheque_{$cheque[$i]['id']},{$cheque[$i]['no']},{$cheque[$i]['date_time']}" .
			",{$cheque[$i]['summa']}' class='cheque_row ui-widget-content'>" .
			"<td align=right>{$cheque[$i]['id']} &nbsp;&nbsp;</td>" . 
			"<td align=right>{$cheque[$i]['no']} &nbsp;&nbsp;</td>" . 
			"<td align=center>&nbsp;&nbsp; " . date('d.m.Y H:i:s', $cheque[$i]["date_time"]) . " &nbsp;&nbsp;</td>" . 
			"<td align=right>&nbsp;&nbsp; {$cheque[$i]['summa']}</td></tr>";
	}
	echo "cheques_list_content=\"$cheques_content\";";
?>
