<?php
function grace_death() {
	global $vfile;
	$error = error_get_last();
	if (file_exists($vfile)) unlink($vfile);
	if (connection_aborted()) error_log("Warning! The connection was aborted by client");
	if($error !== NULL){
		$filename = $error['file'];
		$severity = $error['type'];
		$message = $error['message'];
		$lineno = $error['line'];
	
		echo "<h1>Ошибка</h1>\n";
		echo `date`;
		echo "<br>Произошла ошибка при обработке архива. Обратитесь к системному администратору.<br>\n";
		echo "Подробная информация: файл $filename, строка $lineno,<br> [$severity] $message\n";
			
		throw new ErrorException($message, 0, $severity, $filename, $lineno); 
	}
}

	header("Cache-Control: no-cache");
	header("Cache-Control: private");
	header("Pragma: no-cache");
	header('Content-type: text/html; charset=utf-8');


	if (! isset($_GET['video'])) die("Не указан видеофайл");
	$mode = "";
	if (isset($_GET['mode'])) $mode = $_GET['mode'];


	$video = addslashes($_GET['video']);
	$video = str_replace("/", "", $video);
	$vfile = '/var/tmp/' . $video;


	if (! file_exists($vfile)) die("Файл $video не найден");
	header("Content-Length: " . filesize($vfile)); 

	register_shutdown_function('grace_death');	

	if ($fd = fopen($vfile, "r")) {
		if ($mode == "download") {
			header("Content-Disposition: attachment; filename=$video");
		}

		while (!feof($fd)) {
			$buffer = fread($fd, 2048);
			echo $buffer;
		}
		fclose($fd);
	}

?>

