<?php
	header("Cache-Control: no-cache");
	header("Pragma: no-cache");

	if (isset($_GET['action'])) {
		$action = $_GET['action'];
	} else {
		$action = 'download';
	}

	$alert = '';
	$cheque = '';
	if (isset($_GET['alert'])) {
		$alert = $_GET['alert'];
	} elseif (isset($_GET['cheque_id'])) {
		$cheque = $_GET['cheque_id'];
	} else {
		$start = mysql_escape_string($_GET['start']);
		$end = mysql_escape_string($_GET['end']);
		$object = mysql_escape_string($_GET['obj']);
	}

	$video_type = $action == "view" ? "flv" : "mp4";

	if ($alert) {
		$arch_command = "vargus-get-archive -a $alert --type $video_type";
		$arch_error = "Для тревоги с ID $alert видео не найдено";
	} elseif ($cheque) {
		if ($action == "text") {
			$arch_command = "vargus-get-archive --cheque-id $cheque --text";
			$arch_error = "Для чека с ID $cheque текста не найдено";
		} else {
			$arch_command = "vargus-get-archive --cheque-id $cheque --type $video_type";
			$arch_error = "Для чека с ID $cheque видео не найдено";
		}
	} else {
		$arch_command = "vargus-get-archive -s $start -e $end -o $object --type $video_type";
		$arch_error = "За выбранный период архивных записей не найдено. Попробуйте расширить период выборки.";
	}

	error_log("Query: $arch_command");
	$video = `$arch_command` or die($arch_error);
	if ($action == "text") {
		$cheque_text = htmlentities($video, ENT_QUOTES, "UTF-8");
		$cheque_strings = explode("\n", $cheque_text);
		array_shift($cheque_strings);
		$cheque_text = '';
		foreach ($cheque_strings as $string) {
			$string = rtrim($string);
			if ($string == '' ) {
				continue;
			}
			if (preg_match('/^\d\d:\d\d:\d\d /', $string)) {
				list($timestamp, $op_text) = explode(' ', $string, 2);
			} else {
				$timestamp = "&nbsp;";
				$op_text = $string;
			}
			
			$cheque_text .= "<tr class='cheque_string' valign=top><td><tt>$timestamp</tt></td><td><tt>$op_text</tt></td></tr>";
		}

		print("text=\"$cheque_text\";");
		exit();
	}

	$video = chop($video);

	sleep(1);
	error_log("propose archive: $video");
	if (isset($start) && $start && isset($end) && $end && file_exists("/tmp/progress.$start-$end.tmp")) 
		unlink("/tmp/progress.$start-$end.tmp");
	if ($alert) unlink("/tmp/progress.alert-$alert.tmp");
	if ($cheque) unlink("/tmp/progress.cheque-$cheque.tmp");

	if ($video == "") die($arch_error);


	if ($action == "get") {
		$_GET['video']=$video;
		$_GET['mode']='download';
		include "get_archive.php";
		exit;
	}
	


	print('<script>
		progress=0;
		clearTimeout(progress_timeout);
		</script>');

	if ($action == "download") {
		print("<script>
			document.location='get_archive.php?video=$video&mode=download'
			</script>
		");
	}

	if ($action == "view") {
		$subtitles = preg_replace("/\.flv$/", ".xml", $video);
		print("
			<table cellpadding=0 cellspacing=0 border=0 width=800><tr><td id='info'>&nbsp;</td></tr><tr><td>
			<div id='player' style='display:block;width:800px;height:600px'></div></td></tr></table>
			<script>
			var current_tab = $('#navtabs').tabs('option', 'selected');
			$('#navtabs').tabs('select', current_tab);
			var video='get_archive.php?video=$video';
			var isEvents = 'none';
			var subtitles='';
			$('#info').html(info_string);
		");
		if (file_exists("/var/tmp/$subtitles")) print("
			subtitles='get_archive.php?video=$subtitles';
			isEvents = 'block';
		");
		print("
			initPlayer();
			</script>
		");
	}

?>

