<?php
        header('Content-type: text/html; charset=utf-8');
        header("Cache-Control: no-cache");
        header("Pragma: no-cache");

	if (isset($_GET['set'])) { 
		$use_set = $_GET['set']; 
	} else {
		$use_set = 0; 
	}

	if (isset($_GET['view'])) {
		$use_view = $_GET['view'];
	} else {
		$use_view = 0; 
	}

	if (isset($_GET['camera'])) {
		$camera = $_GET['camera'];
	} else {
		$camera = ''; 
	}
?>

<html>
	<head>
		<title>Просмотр архива</title>

		<script type="text/javascript" src="flowplayer/flowplayer-3.2.8.min.js"></script> 
		<script type="text/javascript" src="jquery/jquery-1.7.2.min.js"></script>
		<script type="text/javascript" src="jquery/jquery-ui-1.8.18.custom.min.js"></script>
		<script type="text/javascript" src="jquery/jquery.ui.datepicker-ru.js"></script>
		<script type="text/javascript" src="jquery/jquery-ui-timepicker-addon.js"></script>
		<script type="text/javascript" src="jquery/jquery.tablescroll.js"></script>
		<script type="text/javascript" src="vargus.js"></script>
		<link type="text/css" href="jquery/jquery-ui-1.8.18-lightness.css" rel="stylesheet">
		<style type="text/css">
			.ui-timepicker-div .ui-widget-header{ margin-bottom: 8px; }
			.ui-timepicker-div dl{ text-align: left; font-size: 80%; }
			.ui-timepicker-div dl dt{ height: 25px; margin-bottom: -25px; font-size: 75%;}
			.ui-timepicker-div dl dd{ margin: 0 10px 10px 65px; }
			.ui-timepicker-div td { font-size: 80%; }
			.ui-tpicker-grid-label { background: none; border: none; margin: 0; padding: 0; }
		  button {
			 font-size:100%;
		  }
		</style>
	</head>
<body>

<?php
	function ask_vargus($query) {
		$answer = explode("\n", `echo "query $query" |netcat localhost 9165 |grep -E "^[^:>]"`);

		if (! $answer[0]) {
			die("Ошибка получения информации о видеосистеме");
		}
		return $answer;
	}

	list($cameras_quantity) = ask_vargus('camera;quantity');
	$cam_list = '';
	for ($i = 1; $i <= $cameras_quantity; $i++) {
		$cam_list .= "$i,";
	}

	$select_element = "<select class='ui-widget-content' id='camlist' name='camlist' size=" . 
		($cameras_quantity < 10 ? $cameras_quantity : 10) . ">";
	print("<script>
		var cameras_quantity = $cameras_quantity;
		var cameras = [];\n");
	$cameras_raw = ask_vargus("camera;$cam_list;name,description");
	for ($i = 1; $i <= $cameras_quantity; $i++) {
		list (
			$cameras_info[$i]['name'], 
			$cameras_info[$i]['description']
		) = explode(';', $cameras_raw[$i - 1]);
		$select_element .= "<option value='" . $cameras_info[$i]['name'] . "'>$i. " . 
			$cameras_info[$i]['name'] . ": " . $cameras_info[$i]['description'] . "</option>\n";
		print("cameras['".$cameras_info[$i]['name']."'] = {
			description: '" . $cameras_info[$i]['description'] . "'
	              }\n");
	}
	$select_element .= "</select>\n";
	print("</script>\n");

?>


<h1 align=center>Архив</h1>
<?php
	if ($use_view > 0 && $use_set > 0) print("
		<p><a style='font-size: large; font-weight: bold;' href='view.php?view=$use_view&set=$use_set'>Вернуться к онлайн-просмотру</a></p>
		");
?>
<div id="choise">
<p>Пожалуйста, выберите камеру, начальное и конечное время:</p>
<table border=0 cellpadding=0 cellspacing=0 width=100%><tr>
<td valign=top>
<h3>Камера:</h3>
</td><td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
<td width=100% id='dt_header' style='padding: 2px;'>&nbsp;</td></tr>
<tr><td valign=top><?php print $select_element; ?>
</td><td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
<td valign="top" id='datetime' width=100%>&nbsp;</td>
</tr></table>
<br><br>
<table border=0 cellpadding=0 cellspacing=0 width=90%><tr><td width=100% align=center>
<div id='cinema'></div>
</td></tr></table>
<script>
	var camera = '<?php print($camera); ?>';
	var player = 0;
	function initPlayer() {
		player = flowplayer('player', 'flowplayer/flowplayer-3.2.9.swf', {
			play: { opacity: 128},
			clip: {
				autoPlay: true,
				autoBuffering: true
			},
			playlist: [
				{url: 'logo.png', duration: 1},
				{url: video, captionUrl: subtitles}
			],
			plugins:  {
				controls: {
					url: 'flowplayer.controls-3.2.9.swf'
				},
				captions: {
					url: 'flowplayer.captions-3.2.8.swf',
					captionTarget: 'content',
					button: {
						width: 55, height: 29, right: 5, bottom: 30,
						label: 'Скрыть\nсобытия'
					}
				},
				content: {
					url: 'flowplayer.content-3.2.8.swf',
					top: 5,
					height: 500,
					backgroundColor: 'rgba(0, 0, 0, 0.5)',
					backgroundGradient: 'none',
					border: 1,
					textDecoration: 'none',
					display: isEvents,
					style: { 
						body: { 
						fontSize: 18, 
							fontFamily: 'Arial',
							textAlign: 'left',
							color: '#ffffff'
						}
					}
				}

			}

		});
	}

	function loadArchive(what) {
			createCookie('cam_desc', escape(cameras[what]['description']));
			$('#cinema').html("&nbsp;");
			$('#datetime').html('<div align=center style="width: 70%;"><font size=+2><strong><br><br>Подождите, запрашиваю архив...</strong></font></div>');
			$('#datetime').load('load_archive_chooser.php?obj=' + what);
	}

	$(document).ready(function() {
		if (camera) loadArchive(camera);
		$('#camlist').click(function() {
			loadArchive($('#camlist').val());
		});
	});
</script>
</body>
</html>

