<?php
        header("Cache-Control: no-cache");
        header("Pragma: no-cache");

	require_once("./vargus_functions.php");

	$object = mysql_escape_string($_GET['obj']);

	$arch_interval = `vargus-get-archive --query-range -o $object` or die("
		<b>Ошибка получения информации об архиве.</b><br> 
		Обратитесь к системному администратору
		<script>
			$('#dt_header').html('&nbsp;'); 
		</script>
		");
	list( $start_ut, $end_ut ) = explode("\n", $arch_interval);

	$end_date = explode(".", date("Y.n.j.G.i.s", $end_ut));
	$end_date[1]--;
	$end_date_string = implode(',', $end_date);
	$end_date_midnight = explode(".", date("Y.n.j", $end_ut));
	$end_date_midnight[1]--;
	$end_date_midnight_string = implode(',', $end_date_midnight) . ',0,0,0';
	$start_date = explode(".", date("Y.n.j.G.i.s", $start_ut));
	$start_date[1]--;
	$start_date_string = implode(',', $start_date);
	$description = "";
	if (isset($_COOKIE['cam_desc'])) $description = "(" . decode_unicode_url($_COOKIE['cam_desc']) . ")";
	$tz_offs = get_timezone_offset('UTC');

	print("<script>
		var camera = '$object';
		var server_tz_offset = $tz_offs;
		var real_archive_begin = $start_ut;
		var real_archive_end = $end_ut;
		var localtime = new Date();
		var start_date_limit = new Date(($start_ut + server_tz_offset + localtime.getTimezoneOffset() * 60) * 1000);
		var end_date_limit = new Date(($end_ut + server_tz_offset + localtime.getTimezoneOffset() * 60) * 1000);

		start_date_limit.setHours(0,0,0,0);
		end_date_limit.setHours(23,59,59,999);

		var end_date_midnight = new Date($end_date_midnight_string);
		$('#dt_header').html('<font size=+1><b>Камера $object $description</b></font><br>Архив доступен с <b>" .
			russian_date($start_ut) . "</b> по <b>" . russian_date($end_ut) . "</b><br>');
		</script>
			");
	
?>

<div id="navtabs">
<ul>
	<li><a href="#tab1">Выбор по времени</a></li>
</ul>


<script>
	var progress;
	var progress_timeout;
	var get_progress_url;
	var info_string;
	var archive_command;
	var dt1, dt2;
	var show_handler = new Array();	

	show_handler[0] = new Array();

	var dt_params = {
		showSecond: true,
		timeFormat: 'hh:mm:ss',
		changeMonth: true,
		changeYear:true,
		minDate: start_date_limit,
		maxDate: end_date_limit
	};
	$.timepicker.setDefaults(dt_params);

	$.timepicker.regional['ru'] = {
		timeOnlyTitle: 'Выберите время',
		timeText: 'Время',
		hourText: 'Часы',
		minuteText: 'Минуты',
		secondText: 'Секунды',
		currentText: 'Сейчас',
		closeText: 'OK',
		ampm: false
	};
	$.timepicker.setDefaults($.timepicker.regional['ru']);


	$(function() {
		$("#navtabs").tabs({
			disabled: [2],
			collapsible: true,
			show: function(event, ui) {
				$('#cinema').html("&nbsp;");

				for (var key in show_handler[0]) {
					var val = show_handler[0][key];
					val();
				}

				get_progress_url = function() {
					return "get_progress.php?range=" + dt1 + "-" + dt2;
				}

				archive_handler = function(action) {
					var d1 = new Date((dt1 + localtime.getTimezoneOffset() * 60 + server_tz_offset) * 1000);
					var d2 = new Date((dt2 + localtime.getTimezoneOffset() * 60 + server_tz_offset) * 1000);

					archive_command = 'prepare_archive.php?start=' + dt1 + '&end=' + dt2 + 
						'&obj=' + camera + '&action=' + action;
					info_string = 'Камера ' + camera + ', начиная с ' + d1.format('d.m.Y, H:i:s');
					info_string += ', заканчивая ' + d2.format('d.m.Y, H:i:s');
				}

				if (show_handler[ui.index + 1]) {
					show_handler[ui.index + 1]();
				}

				$("#navtabs").width($('#datetime').width() - 30);
			}
		});
	});
</script>

<div id="tab1">
<table border=0 cellpadding=0 cellspacing=0><tr><td valign=bottom>
Выберите интервал для просмотра:<br>
<table border=0 cellpadding=0 cellspacing=0><tr>
<td valign=top>Начиная с: <input id="date_start" type="text"></td>
<td width=20>&nbsp;</td>
<td valign=top>Заканчивая: <input id="date_end" type="text"><br>
Продолжительность: <select id='duration' name='duration' size=1>
<option value=0 selected></option>
<option value=60>1 минута</option>
<option value=300>5 минут</option>
<option value=600>10 минут</option>
<option value=1800>30 минут</option>
<option value=2700>45 минут</option>
<option value=3600>1 час</option>
<option value=5400>1,5 часа</option>
<option value=7200>2 часа</option>
<option value=10800>3 часа</option>
<option value=18000>5 часов</option>
<option value=28800>8 часов</option>
<option value=43200>12 часов</option>
<option value=86400>Сутки</option>
</select></td>
<td width=35>&nbsp;</td></tr></table></td>
<td valign=bottom>
<button id="download" style="width:110;" onClick="if (validateDateTime()) getArchive('download')">&nbsp;Скачать&nbsp;</button><br>
<button id="view_it" style="width:110;" onClick="if (validateDateTime()) getArchive('view')">Смотреть</button></td>
</tr>
<tr><td colspan=2>&nbsp;</td></tr>
</table>
</div>


<?php
	foreach (glob("modules-enabled/[0-9]*") as $module) {
		if (substr($module, -1) == '~') {
			continue;
		}
		require_once($module);
	}
?>

</div>

<script>
	$.timepicker.setDefaults(dt_params);
	$("#date_start").datetimepicker({
	    onClose: function(dateText, inst) {
		var endDateTextBox = $('#date_end');
		if (endDateTextBox.val() != '') {
		    var testStartDate = $("#date_start").datetimepicker('getDate');
		    var testEndDate = $("#date_end").datetimepicker('getDate');
		    if (testStartDate > testEndDate)
			endDateTextBox.val(dateText);
		}
		else {
		    endDateTextBox.val(dateText);
		}
	    },
	    onSelect: function (selectedDateTime){
		var start = $(this).datetimepicker('getDate');
		$('#date_end').datetimepicker('option', 'minDate', new Date(start.getTime()));
	    }
	});

	$("#date_end").datetimepicker({
	    onClose: function(dateText, inst) {
		var startDateTextBox = $('#date_start');
		if (startDateTextBox.val() != '') {
		    var testStartDate = $("#date_start").datetimepicker('getDate');
		    var testEndDate = $("#date_end").datetimepicker('getDate');
		    if (testStartDate > testEndDate)
			startDateTextBox.val(dateText);
		}
		else {
		    startDateTextBox.val(dateText);
		}
	    },
	    onSelect: function (selectedDateTime){
		var end = $(this).datetimepicker('getDate');
		$('#date_start').datetimepicker('option', 'maxDate', new Date(end.getTime()) );
	    }
	});

	$("#date_end").datetimepicker('setDate', (end_date_midnight));
	$("#date_start").datetimepicker('setDate', (end_date_midnight));

	$(".hasDatepicker").click(function() {
		$('#cinema').html("&nbsp;");
	});

	$("#duration").change(function() {
		var startDate = $("#date_start").datetimepicker('getDate').getTime();
		startDate += $("#duration").val() * 1000;
		var local_real_archive_end = real_archive_end + server_tz_offset + localtime.getTimezoneOffset() * 60;
		if (startDate > local_real_archive_end * 1000) startDate = local_real_archive_end * 1000;
		$("#date_end").datetimepicker('setDate', (new Date(startDate)));
	});

	$('button.ui-state-disabled').attr('disabled', 'disabled');

	function validateDateTime() {
		dt1 = $("#date_start").datetimepicker('getDate').getTime() / 1000;
		dt2 = $("#date_end").datetimepicker('getDate').getTime() / 1000;

		dt1 -= localtime.getTimezoneOffset() * 60 + server_tz_offset;
		dt2 -= localtime.getTimezoneOffset() * 60 + server_tz_offset;

		if (dt1 >= dt2) {
			alert("Конечное время не может быть меньше или равным начальному");
			return false;
		}
		
		if (dt1 < real_archive_begin) {
			alert("Начальная дата меньше начала архива для этой камеры");
			return false;
		}

		if (dt2 > real_archive_end) {
			alert("Конечная дата больше конца архива для этой камеры");
			return false;
		}

		if (dt2 - dt1 > 3600) {
			return confirm("Вы выбрали экспорт очень длинного куска архива - больше часа. Я, конечно, не против, но уверены ли вы, что это именно то самое, что вам нужно?");
		}
		return true;
	}

	function getProgress() {
		var progress_url = get_progress_url();
		$.ajax({
			url: progress_url,
			success: function(html){
				eval(html);
				$( "#progress" ).progressbar("option", "value", progress);
				progress_timeout = setTimeout('getProgress()', 1000);
			}
		});
	}


	function getArchive(action) {
		$('#cinema').html('<table><tr><td><div id="progress"></div><td></tr><tr><td><font size=+2><strong>Подождите, идёт выборка из архива<blink>...</blink></strong></font></td></tr></table>');

		$('#progress').progressbar({
			value: 0
		});
		getProgress();

		archive_handler(action);
		$('#cinema').load(archive_command);
	}


</script>
