<div id="alerts">
	<table border=0 cellpadding=0 cellspacing=0><tr><td valign=top>
	<div>Поиск тревог за интервал:</div>
	<font size=-1>Начиная с:</font><br>
	<input id="alerts_start" type="text"><br>
	<font size=-1>Заканчивая:</font><br>
	<input id="alerts_end" type="text">
	</td><td>&nbsp;&nbsp;&nbsp;</td>
	<td valign=top><div id='divalerts'>&nbsp;</div></td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td valign=top>
	<button id="download-alert" style="width:110; text-align:center" disabled onClick="getArchive('download')">
		Скачать
	</button><br>
	<button id="view-alert" style="width:110; text-align:center" disabled onClick="getArchive('view')">
		Смотреть
	</button>
	</td>
	</tr></table>
</div>
	
<script>
	var selected_alert;
	var alerts_text = [];

	$("#navtabs").tabs("add", "#alerts", "Выбор по тревоге");
	show_handler[0].push(function() {
		unselectAlert();
	});

	show_handler[$("#navtabs").tabs("length")] = function() {
		var startDateTextBox = $('#alerts_start');
		var endDateTextBox = $('#alerts_end');
		if (startDateTextBox.val() != '') {
			dt1 = startDateTextBox.datetimepicker('getDate').getTime() / 1000;
		} else {
			dt1 = real_archive_begin;
		}
		
		if (endDateTextBox.val() != '') {
			dt2 = endDateTextBox.datetimepicker('getDate').getTime() / 1000;
		} else {
			dt2 = real_archive_end;
		}
		getAlerts(camera, dt1, dt2);
		dt1 = 0;
		dt2 = 0;

		get_progress_url = function() {
			return "get_progress.php?range=alert-" + selected_alert;
		}

		archive_handler = function(action) {
			archive_command = 'prepare_archive.php?alert=' + selected_alert + '&action=' + action;
			info_string = 'Камера ' + camera + ', тревога №' + selected_alert + ': <b><font color=red>' +
				alerts_text[selected_alert] + "</font></b>";
		}

	};

	$.timepicker.setDefaults(dt_params);

	$("#alerts_start").datetimepicker({
	    onClose: function(dateText, inst) {
		var endDateTextBox = $('#alerts_end');
		if (endDateTextBox.val() != '') {
		    var testStartDate = $("#alerts_start").datetimepicker('getDate');
		    var testEndDate = $("#alerts_end").datetimepicker('getDate');
		    if (testStartDate > testEndDate)
			endDateTextBox.val(dateText);
		    getAlerts(camera, testStartDate.getTime() / 1000, testEndDate.getTime() / 1000);
		}
		else {
		    endDateTextBox.val(dateText);
		}
	    },
	    onSelect: function (selectedDateTime){
		var start = $(this).datetimepicker('getDate');
//		$('#alerts_end').datetimepicker('option', 'minDate', new Date(start.getTime()));
	    }
	});

	$("#alerts_end").datetimepicker({
	    onClose: function(dateText, inst) {
		var startDateTextBox = $('#alerts_start');
		if (startDateTextBox.val() != '') {
		    var testStartDate = $("#alerts_start").datetimepicker('getDate');
		    var testEndDate = $("#alerts_end").datetimepicker('getDate');
		    if (testStartDate > testEndDate)
			startDateTextBox.val(dateText);
		    getAlerts(camera, testStartDate.getTime() / 1000, testEndDate.getTime() / 1000);
		}
		else {
		    startDateTextBox.val(dateText);
		}
	    },
	    onSelect: function (selectedDateTime){
		var end = $(this).datetimepicker('getDate');
//		$('#alerts_start').datetimepicker('option', 'maxDate', new Date(end.getTime()) );
	    }
	});

	$("#alerts_start").datetimepicker('setDate', (start_date_limit));
	$("#alerts_end").datetimepicker('setDate', (end_date_limit));


	function unselectAlert() {
		var last_id = $("tr[id$=_selected]").attr('id');
		if (last_id) {
			$("tr[id$=_selected]").removeClass("ui-state-highlight");
			last_id = last_id.replace(/_selected$/, '')
			$("tr[id$=_selected]").attr('id', last_id);
		};
		$("#view-alert").attr("disabled", "disabled");
		$("#download-alert").attr("disabled", "disabled");
		selected_alert = '';
	}


	function getAlerts(camera, begin, end) {
		unselectAlert();
		begin -= localtime.getTimezoneOffset() * 60 + server_tz_offset;
		end -= localtime.getTimezoneOffset() * 60 + server_tz_offset;
		$.ajax({
			url: "alerts_list.php?cam=" + camera + "&begin=" + begin + "&end=" + end,
			success: function(html) {
				eval(html);
				$("#divalerts").html(alerts_content);
				$('#alerts_list').tableScroll({
					height: 150
				});
				$('tr.alert_row').hover(
					function() {
						if ( ! /_selected$/.test(this.id)) { $(this).addClass("ui-state-highlight"); };
					},
					function() {
						if ( ! /_selected$/.test(this.id)) $(this).removeClass("ui-state-highlight");
					}
				);
				$('tr.alert_row').click( function() {
					if (/_selected$/.test(this.id)) {
						unselectAlert();
					} else {
						unselectAlert();
						selected_alert = this.id.replace(/^alert_/, '');
						this.id += "_selected";
						$(this).addClass("ui-state-highlight");
						$("#view-alert").removeAttr("disabled");
						$("#download-alert").removeAttr("disabled");
					}
				});
			}
		});
	}

</script>

