
function getStyleByClass(name) {
        for (var style = 0; style < document.styleSheets.length; style++) {
                var cssRules = document.styleSheets[style].cssRules || document.styleSheets[style].rules;
                for (var rule = 0; rule < cssRules.length; rule++) {
                        if ((cssRules[rule].selectorText || "").match(new RegExp('^\.'+name+'([\s.;,]|$)')))
                                return cssRules[rule].style;
                }
        }
}

function switchFull(cam_obj) {
	 camno = cam_obj.id.replace(/^cam_list_/, '')
	 camno = camno.replace(/_.*/, '').replace(/^cam/, '');
	 uri = document.location + "";
	 uri = uri.replace(/\?.*/, '');
	 if (cameras[camno]["source"] == cameras[camno]["preview"]) {
		var show_div = document.getElementById("cell_of_cameras");
		var show_style = show_div.currentStyle || getComputedStyle (show_div, '');
		var show_area_x = Math.floor(show_style.width.replace(/px/, ""));
		var show_area_y = Math.floor(show_style.height.replace(/px/, ""));

		img_x = Math.round(show_area_y / 0.75);

		if (img_x > show_area_x) {
			img_x = show_area_x;
			img_y = Math.round(show_area_x * 0.75);
		} else {
			img_y = show_area_y;
		};

		onClick = 'first_view(); return false;';
		if (show_full) onClick = 'document.location="' + uri + '?set=' + use_set + '&view=' + use_view + '"; return false;';
		event_div = "";
		if (cameras[camno]["has_events"]) 
			event_div = '<div class="events" id="events_show_' + camno + '" width=100% height=100%>&nbsp;</div>';

		tool_div = "<div class='tools' align=center>&nbsp;" + 
			"<table class='tooltab' cellpadding=5><tr><td width=100%>&nbsp;</td>" + 
			"<td align=right><div class='archive' id='ar_" + cameras[camno]['obj_id'] + 
			"' title='Архив'>A</div></td></tr></table></div>"
		cameras_code = '<div width=100% align=center><div style="position:relative; width:' + img_x + 'px; height:' + img_y + 'px;">' +
			"<img src='" + cameras[camno]['source'] + "' width=100% height=100% border=0 onClick='" + 
			onClick + "'>" + '<div class="cammark">&nbsp;' + camno + '.&nbsp;' + 
			cameras[camno]["description"] + '</div>' + event_div + tool_div + '</div></div>';

		show_div.innerHTML = cameras_code;
		events_data[camno] = "";
		if (cameras[camno]["has_events"]) load_events(camno);
		$("div.tools").hover(
				function() {
					$(this).children('.tooltab').show();
				},
				function() {
					$(this).children('.tooltab').hide();
				}
		);
		var tooldivs = $('div.tools').each(function () {
			$(this).children('.tooltab').hide();
		});
		$("div.archive").click(function() {
			loadArchive(this);
			return false;
		});
	 } else {
		 document.location = uri + '?set=' + use_set + '&view=' + use_view + '&full=' + camno;
	 };
}

function loadArchive(cam_obj) {
	 cam_obj = cam_obj.id.replace(/^ar_/, '')
	 document.location = 'archive.php?camera=' + cam_obj + '&set=' + use_set + '&view=' + use_view;
}


function animateContent() {
	
	 $("a.camera").click(function() {
		 switchFull(this);
		 return false;
	 });

	 $("tr.camlist").click(function() {
		 switchFull(this);
		 return false;
	 });

	 $("div.archive").click(function() {
		 loadArchive(this);
		 return false;
	 });

	 $("div.tools").hover(
			 function() {
				 $(this).children('.tooltab').show();
			 },
			 function() {
				 $(this).children('.tooltab').hide();
			 }
	 );




	$("tr.camlist").draggable({
			  helper: 'clone',
			  handle: 'td',
			  scroll: false,
			  start: function(event, ui) {
						 var obj_id = this.id;
						 moved_camera = parseFloat(obj_id.replace(/cam_list_/,''));
						 move_type='drop';
			  }
	});

	$("a.camera").draggable({
			  helper: function() {
					 var obj_id = this.id;
					 obj_id = obj_id.replace(/cam/,'');
					 moved_camera = parseFloat(obj_id.replace(/_.*/,''));
					 original_cell = parseFloat(obj_id.replace(/.*_/,''));
					 move_type='swap';

					 img_object = $("#img" + moved_camera).clone();
					 $(img_object).height(150).width(200);
					 return img_object;
				  },
			  cursorAt: {left: 100, top: 150},
			  scroll: false,
			  zIndex: 10
	});


	$("td.videocell").droppable({
//			  accept : ['tr.camlist', 'a.camera'],
			  drop : function(event, ui) {
						 var obj_id = this.id;
						 var recipient_cell = parseFloat(obj_id.replace(/cell/,''));

						 if (move_type == 'drop') {
							 if (cam_assigment[recipient_cell] > 0) {
								var cam_list_element = document.getElementById('cam_list_' + cam_assigment[recipient_cell]);
								cam_list_element.style.backgroundColor=bgcolor;
							 }
							cam_assigment[recipient_cell] = moved_camera;
						 } else {
							var tmp_camera = cam_assigment[recipient_cell];
							cam_assigment[recipient_cell] = moved_camera;
							cam_assigment[original_cell] = tmp_camera;
						 }
						refreshCells();

					 }

	});

	$("#view").disableSelection();
	$(".camlist").disableSelection();

}

function refreshCells() {
	var cam_list_element;
	var cam_save_list;
	var cookie_name;

	for (var i = 1; i <= cell_counter; i++) {
		var cell_object = document.getElementById("cell" + i);
		if (cell_object) {
			if (! cam_assigment[i]) cam_assigment[i] = 0;
			cell_object.innerHTML=cam_element[cam_assigment[i]];
			
			var a_object = document.getElementById("cam" + cam_assigment[i]);
			if (a_object) a_object.id = "cam" + cam_assigment[i] + "_" + i;

			var e_object = document.getElementById("events_cam" + cam_assigment[i]);
			if (e_object) {
				e_object.id = "events_cam" + cam_assigment[i] + "_" + i;
				if (cameras[cam_assigment[i]]["has_events"]) e_object.innerHTML=events_data[cam_assigment[i]];
				
				var cell_width = getComputedStyle(cell_object, '').width.replace(/px/, "");
				e_object.style.fontSize = (cell_width / 40) + 'px';
			}
		}
	}
	for (i = 1; i < cam_assigment.length; i++) {
		if (cam_assigment[i] > 0) {
			cam_list_element = document.getElementById('cam_list_' + cam_assigment[i]);
			if (cam_list_element) cam_list_element.style.backgroundColor=selcolor;
		}
		cam_save_list = cam_save_list + cam_assigment[i] + ',';
	}

	cam_save_list = cam_assigment.join();
	cookie_name = "s" + use_set + "v" + use_view;
	createCookie(cookie_name, cam_save_list, 1024);
	cookie_name = "s" + use_set + "v" + use_view + "md5";
	createCookie(cookie_name, sets_md5[use_set] + views[use_view].md5, 1024);

	animateContent();

	var tooldivs = $('div.tools').each(function () {
		$(this).children('.tooltab').hide();
	});
}


function drawControls() {
		  var canvas;;
		  var ctx;

		  canvas = document.getElementById('control_prev');
		  ctx = canvas.getContext('2d');

		  ctx.beginPath();
		  ctx.fillStyle=fgcolor;
		  ctx.moveTo(26,3);
		  ctx.lineTo(13,15);
		  ctx.lineTo(26,27);
		  ctx.fill();

		  canvas = document.getElementById('control_next');
		  ctx = canvas.getContext('2d');

		  ctx.beginPath();
		  ctx.fillStyle=fgcolor;
		  ctx.moveTo(13,3);
		  ctx.lineTo(26,15);
		  ctx.lineTo(13,27);
		  ctx.fill();

		  canvas = document.getElementById('control_reset');
		  ctx = canvas.getContext('2d');
		  ctx.beginPath();
		  ctx.fillStyle=fgcolor;
		  ctx.moveTo(28,6);
		  ctx.lineTo(15,15);
		  ctx.lineTo(28,24);
		  ctx.fill();
		  ctx.closePath();
		  ctx.beginPath();
		  ctx.arc(20,15,14,0,Math.PI*2,true);
		  ctx.stroke();

		  ctx.fillRect(13,6,3,18);

}




function drawViewIcons() {
		  for (var i = 1; i <= views_quantity; i++) {
					var canvas = document.getElementById('view_icon_' + i);
					var total_x = canvas.width;
					var x_cells = views[i].width;
					var y_cells = views[i].height;
					var total_y = Math.floor(total_x * .75 * (y_cells / x_cells));
					var cell_x = Math.floor((total_x - 4) / x_cells);
					var cell_y = Math.floor((total_y - 4) / y_cells);
					var multiplier = views[i].multiplier;


				  total_x = cell_x * x_cells + 3;
				  total_y = cell_y * y_cells + 3;
				  var y_offset = Math.round((canvas.height - total_y) / 2);
				  var x_offset = Math.round((canvas.width - total_x) / 2);

				  if (canvas.getContext){
					  var ctx = canvas.getContext('2d');
				  }

				  ctx.fillStyle=fgcolor;
				  ctx.fillRect(0 + x_offset, 0 + y_offset, total_x, total_y);
				  ctx.fillStyle=bgcolor;
				  if (i == use_view) ctx.fillStyle=selcolor;
				  for (x=1; x<=x_cells; x++)
					  for (y=1; y<=y_cells; y++) {
						  var cell_num = (y - 1) * x_cells + x;
						  var mpl = multiplier[(y - 1) * x_cells + x - 1];
						  ctx.fillRect((2 + (x - 1) * cell_x + x_offset),
									 (2 + (y - 1) * cell_y + y_offset),
									 cell_x * mpl - 1,
									 cell_y * mpl - 1);
					  }
		  }
}

function scrollNext() {
	if (show_full) return 0;
	var cam_list_element;
	cam_offset = cam_offset + cell_counter;
	if (cam_offset + cell_counter > cameras_quantity) {
		 cam_offset = cameras_quantity - cell_counter;
		 if (cam_offset < 0)  cam_offset = 0;
	}

	for (i = 1; i<cam_assigment.length; i++) {
			if (cam_assigment[i] > 0) {
			  cam_list_element = document.getElementById('cam_list_' + cam_assigment[i]);
			  if (cam_list_element) cam_list_element.style.backgroundColor=bgcolor;
			}
			if (i > cameras_quantity) { cam_assigment[i] = 0 }
			else { cam_assigment[i] = i + cam_offset }; 
	}
	refreshCells();
}


function scrollPrev() {
	if (show_full) return 0;
	cam_offset = cam_offset - cell_counter;
	if (cam_offset < 0)  cam_offset = 0;
	

	for (i = 1; i<cam_assigment.length; i++) {
			if (cam_assigment[i] > 0) {
			  cam_list_element = document.getElementById('cam_list_' + cam_assigment[i]);
			  if (cam_list_element) cam_list_element.style.backgroundColor=bgcolor;
			}
			  if (i > cameras_quantity) { cam_assigment[i] = 0 }
			  else  {cam_assigment[i] = i + cam_offset };
	}
	refreshCells();
}

function scrollReset() {
	if (show_full) return 0;

	eraseCookie("s" + use_set + "v" + use_view);
	eraseCookie("s" + use_set + "v" + use_view + "md5");

	cam_offset = 0;
	for (i = 1; i<cam_assigment.length; i++) {
			if (cam_assigment[i] > 0) {
			  cam_list_element = document.getElementById('cam_list_' + cam_assigment[i]);
			  if (cam_list_element) cam_list_element.style.backgroundColor=bgcolor;
			}
			  if (i > cameras_quantity) { cam_assigment[i] = 0 }
			  else  {cam_assigment[i] = i + cam_offset };
	}
	refreshCells();
}


function applyView(view) {
	use_view = view;
	var show_div = document.getElementById("cell_of_cameras");
	show_div.innerHTML = "<table width=100% height=100%><tr><td>&nbsp;</td></tr></table>";
	var show_style = show_div.currentStyle || getComputedStyle (show_div, '');

	var show_area_x = Math.floor(show_style.width.replace(/px/, ""));
	var show_area_y = Math.floor(show_style.height.replace(/px/, ""));

	optimal_single_y = Math.round(show_area_y * 0.9);
	optimal_single_x = Math.round(optimal_single_y / 0.75);


	var table_matrix = [];
	var x_cells = parseFloat(views[use_view].width);
	var y_cells = parseFloat(views[use_view].height);

	var cell_x = Math.round((show_area_x - (x_cells + 1) * 3) / x_cells);
	var cell_y = Math.round((show_area_y - (y_cells + 1) * 3) / y_cells);

	for (x = 1; x <= x_cells; x++) {
		table_matrix[x] = [];
		for (y = 1; y <= y_cells; y++) {
			table_matrix[x][y] = 1;
		}
	}

	for (i = 1; i<cam_assigment.length; i++) {
			  var cam_list_element = document.getElementById('cam_list_' + cam_assigment[i]);
			  if (cam_list_element) cam_list_element.style.backgroundColor=bgcolor;
	}

	var pointer_x = 1;
	var pointer_y = 1;
	var cam_counter = 1;
	cam_assigment = [];
	cell_counter = 0;
	cam_offset = 0;
	var cameras_code = '<table border=0 cellpadding=0 cellspacing=3 height=100% width=100% id="view">';
	var cookie_name;
	var cam_save_list;
	var tmp_cam_assigment = [];

	for (i = 1; i <= x_cells * y_cells; i++) {
		if (pointer_x == 1) cameras_code = cameras_code + "<tr>";

		if (pointer_y == y_cells && pointer_x == 1) {
				  cell_y = cell_y - (cell_y * y_cells + (y_cells + 1) * 3 - show_area_y);
		}

		if (table_matrix[pointer_x][pointer_y]) {
			cell_counter++;
			var span = '';
			var mpl = views[use_view].multiplier[i - 1];
			if (mpl > 1) {
				var span = " colspan=" + mpl + " rowspan=" + mpl;
				for (y = pointer_y; y < pointer_y + mpl; y++) {
					for (x = pointer_x; x < pointer_x + mpl; x++) {
						table_matrix[x][y] = 0;
					}
				}
			}
			var td_size = " width=" + (cell_x * mpl + (mpl - 1) * 3) + " height=" + (cell_y * mpl + (mpl - 1) * 3);
			cameras_code = cameras_code + "<td" + td_size + span + " id='cell" + 
							cell_counter + "' class='videocell'>";
			if (cam_counter <= cameras_quantity) {
				cam_assigment[cell_counter] = cam_counter;  
//				cameras_code = cameras_code + cam_element[cam_counter];
				cam_counter++;
			} else {
				cameras_code = cameras_code  + "&nbsp;";
			}
			cameras_code = cameras_code  + "</td>";
		} else {
			cameras_code = cameras_code + "	<!-- skip col$pointer_cols x row$pointer_rows -->\n";
		}

		if (pointer_x == x_cells) {
			cameras_code = cameras_code + "</tr>";
			pointer_x = 1;
			pointer_y++;
		} else {
			pointer_x++;
		}
	}

	cameras_code = cameras_code + "</table>"

	drawViewIcons();

	if (show_full == 0) {
		drawControls();
		show_div.innerHTML = cameras_code;

		cam_save_list = readCookie("s" + use_set + "v" + use_view);
	        var check_md5 = readCookie("s" + use_set + "v" + use_view + "md5");

		if (cam_save_list && check_md5 == sets_md5[use_set] + views[use_view].md5) {
				tmp_cam_assigment = cam_save_list.split(',');
				cam_assigment = tmp_cam_assigment.slice(0);
		} else {
			eraseCookie("s" + use_set + "v" + use_view);
			eraseCookie("s" + use_set + "v" + use_view + "md5");
		}
		refreshCells();
	} else {
		cameras_code = '<table border=0 cellpadding=0 cellspacing=3 height=100% width=100% id="view">' + 
				'<tr><td widht=100% height=100% id="cell1" class="videocell" align="center" valign="middle">' + 
				'<table width=100% height=100%><tr><td>&nbsp;</td></tr></table></td></tr></table>';
		show_div.innerHTML = cameras_code;

		show_div = document.getElementById("cell1");
		show_style = show_div.currentStyle || getComputedStyle (show_div, '');

		show_area_y = Math.floor(show_style.height.replace(/px/, ""));
		show_area_x = Math.floor(show_style.width.replace(/px/, ""));

                img_x = Math.round(show_area_y / 0.75);

		if (img_x > show_area_x) {
			img_x = show_area_x;
			img_y = Math.round(show_area_x * 0.75);
		} else {
			img_y = show_area_y;
		};

		uri = document.location + "";
		uri = uri.replace(/\?.*/, '') + '?set=' + use_set + '&view=' + use_view;

		event_div = "";
		if (cameras[show_full]["has_events"]) 
			event_div = '<div class="events" id="events_show_' + show_full + '" width=100% height=100%>&nbsp;</div>';
		
		tool_div = "<div class='tools' align=center>&nbsp;" + 
			"<table class='tooltab' cellpadding=5><tr><td width=100%>&nbsp;</td>" + 
			"<td align=right><div class='archive' id='ar_" + cameras[show_full]['obj_id'] + 
			"' title='Архив'>A</div></td></tr></table></div>";

		var fullImage = new Image();
		fullImage.src = cameras[show_full]["source"];

		show_div.innerHTML="<table width=100% height=100%><tr><td width=100% height=100% align=center>Загрузка...</td></tr></table>"

		function waitImage() {
			img_x = fullImage.width;
			img_y = fullImage.height;
			if (img_x == 0 || img_y == 0) {
				setTimeout(waitImage, 100);
				return;
			}

			var show_area_ar = show_area_x / show_area_y;
			var img_ar = img_x / img_y;

			var aspect_correction = "";

			if (img_ar >= show_area_ar) aspect_correction = "width: " + 
				show_area_x + "px; height: " + Math.floor(show_area_x / img_ar) + "px;";
			if (img_ar <= show_area_ar) aspect_correction = "width: " + 
				Math.floor(show_area_y * img_ar) + "px; height: " + show_area_y + "px;";

			cameras_code = '<div style="position:relative; ' + aspect_correction + '">' + 
					'<img src="' + cameras[show_full]["source"] +
					'" onClick="document.location=uri; return false;"' + 
					' border=0 width=100% height=100%><div class="cammark">&nbsp;' + show_full + '.&nbsp;' + 
					cameras[show_full]["description"] + '</div>' + event_div + tool_div + '</div>';
			show_div.innerHTML = cameras_code;

			if (cameras[show_full]["has_events"]) load_events(show_full);

			 $("div.tools").hover(
					 function() {
						 $(this).children('.tooltab').show();
					 },
					 function() {
						 $(this).children('.tooltab').hide();
					 }
			 );
			var tooldivs = $('div.tools').each(function () {
				$(this).children('.tooltab').hide();
			});
			 $("div.archive").click(function() {
				 loadArchive(this);
				 return false;
			 });

		}

		setTimeout( waitImage, 100);

		
		
		cell_counter=1;
		$("tr.camlist").click(function() {
			switchFull(this);
			return false;
		});

		$("#view").disableSelection();
		$(".camlist").disableSelection();
		cam_list_element = document.getElementById('cam_list_' + show_full);
		if (cam_list_element) cam_list_element.style.backgroundColor=selcolor;
	}
}

function load_events(camera, md5)
{
	$.ajax({
		url: "get_events.php?camera=cam" + cameras[camera]["id"] + "&md5=" + md5,
		cache: true,
		success: function(html){ 
			eval(html);
			if (divbody && divbody != events_data[camera]) {
				events_data[camera] = divbody;
				
				if (show_full == 0) {	
					for (var i = 1; i <= cell_counter; i++) {
						if (cam_assigment[i] == camera) {
							var e_object = document.getElementById("events_cam" + camera + "_" + i);
							if (e_object) e_object.innerHTML=events_data[camera];
						}
					}
				}
				var e_object = document.getElementById("events_show_" + camera);
				if (e_object) e_object.innerHTML=events_data[camera];

			}
			setTimeout('load_events("' + camera + '", "' + md5 + '")', 100);  
		}
	});
}


function createCookie(name,value,days) {
	if (days) {
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	}
	else var expires = "";
	document.cookie = name+"="+value+expires+"; path=/";
}

function readCookie(name) {
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i < ca.length;i++) {
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;
}

function eraseCookie(name) {
	createCookie(name,"",-1);
}

// Simulates PHP's date function
Date.prototype.format=function(format){var returnStr='';var replace=Date.replaceChars;for(var i=0;i<format.length;i++){var curChar=format.charAt(i);if(i-1>=0&&format.charAt(i-1)=="\\"){returnStr+=curChar}else if(replace[curChar]){returnStr+=replace[curChar].call(this)}else if(curChar!="\\"){returnStr+=curChar}}return returnStr};Date.replaceChars={shortMonths:['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec'],longMonths:['January','February','March','April','May','June','July','August','September','October','November','December'],shortDays:['Sun','Mon','Tue','Wed','Thu','Fri','Sat'],longDays:['Sunday','Monday','Tuesday','Wednesday','Thursday','Friday','Saturday'],d:function(){return(this.getDate()<10?'0':'')+this.getDate()},D:function(){return Date.replaceChars.shortDays[this.getDay()]},j:function(){return this.getDate()},l:function(){return Date.replaceChars.longDays[this.getDay()]},N:function(){return this.getDay()+1},S:function(){return(this.getDate()%10==1&&this.getDate()!=11?'st':(this.getDate()%10==2&&this.getDate()!=12?'nd':(this.getDate()%10==3&&this.getDate()!=13?'rd':'th')))},w:function(){return this.getDay()},z:function(){var d=new Date(this.getFullYear(),0,1);return Math.ceil((this-d)/86400000)}, W:function(){var d=new Date(this.getFullYear(),0,1);return Math.ceil((((this-d)/86400000)+d.getDay()+1)/7)},F:function(){return Date.replaceChars.longMonths[this.getMonth()]},m:function(){return(this.getMonth()<9?'0':'')+(this.getMonth()+1)},M:function(){return Date.replaceChars.shortMonths[this.getMonth()]},n:function(){return this.getMonth()+1},t:function(){var d=new Date();return new Date(d.getFullYear(),d.getMonth(),0).getDate()},L:function(){var year=this.getFullYear();return(year%400==0||(year%100!=0&&year%4==0))},o:function(){var d=new Date(this.valueOf());d.setDate(d.getDate()-((this.getDay()+6)%7)+3);return d.getFullYear()},Y:function(){return this.getFullYear()},y:function(){return(''+this.getFullYear()).substr(2)},a:function(){return this.getHours()<12?'am':'pm'},A:function(){return this.getHours()<12?'AM':'PM'},B:function(){return Math.floor((((this.getUTCHours()+1)%24)+this.getUTCMinutes()/60+this.getUTCSeconds()/ 3600) * 1000/24)}, g:function(){return this.getHours()%12||12},G:function(){return this.getHours()},h:function(){return((this.getHours()%12||12)<10?'0':'')+(this.getHours()%12||12)},H:function(){return(this.getHours()<10?'0':'')+this.getHours()},i:function(){return(this.getMinutes()<10?'0':'')+this.getMinutes()},s:function(){return(this.getSeconds()<10?'0':'')+this.getSeconds()},u:function(){var m=this.getMilliseconds();return(m<10?'00':(m<100?'0':''))+m},e:function(){return"Not Yet Supported"},I:function(){return"Not Yet Supported"},O:function(){return(-this.getTimezoneOffset()<0?'-':'+')+(Math.abs(this.getTimezoneOffset()/60)<10?'0':'')+(Math.abs(this.getTimezoneOffset()/60))+'00'},P:function(){return(-this.getTimezoneOffset()<0?'-':'+')+(Math.abs(this.getTimezoneOffset()/60)<10?'0':'')+(Math.abs(this.getTimezoneOffset()/60))+':00'},T:function(){var m=this.getMonth();this.setMonth(0);var result=this.toTimeString().replace(/^.+ \(?([^\)]+)\)?$/,'$1');this.setMonth(m);return result},Z:function(){return-this.getTimezoneOffset()*60},c:function(){return this.format("Y-m-d\\TH:i:sP")},r:function(){return this.toString()},U:function(){return this.getTime()/1000}};


